commit:     08db0a2d383e2e8e62259ef2ae6d42b0b3c30d09
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 17 00:46:28 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Sat Oct 17 00:48:34 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08db0a2d

dev-scheme/chicken: revbump

drop use of parallel-build and the -parallel-build.patch by request
of proxy maintainer via the gentoo bug, also many stylistic and qa
improvements to the code of the ebuild

Gentoo bug: #467966

Package-Manager: portage-2.2.20.1

 dev-scheme/chicken/chicken-4.10.0-r1.ebuild | 67 +++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/dev-scheme/chicken/chicken-4.10.0-r1.ebuild 
b/dev-scheme/chicken/chicken-4.10.0-r1.ebuild
new file mode 100644
index 0000000..dc5992d
--- /dev/null
+++ b/dev-scheme/chicken/chicken-4.10.0-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils multilib versionator
+
+MY_PV=$(get_version_component_range 1-3)
+DESCRIPTION="Chicken is a Scheme interpreter and native Scheme to C compiler"
+HOMEPAGE="http://www.call-cc.org/";
+SRC_URI="http://code.call-cc.org/releases/${MY_PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~x86"
+IUSE="emacs doc"
+DOCS=( NEWS README LICENSE )
+
+DEPEND="sys-apps/texinfo
+               emacs? ( virtual/emacs )"
+RDEPEND="emacs? ( virtual/emacs
+               app-emacs/scheme-complete )"
+
+src_prepare() {
+       #Because chicken's Upstream is in the habit of using variables that
+       #portage also uses :( eg. $ARCH and $A
+       sed "s,A\(\s?=\|)\),chicken&," \
+               -i Makefile.cross-linux-mingw defaults.make rules.make || die
+       sed "s,ARCH,zARCH," \
+               -i Makefile.* defaults.make rules.make || die
+       sed -e "s,\$(PREFIX)/lib,\$(PREFIX)/$(get_libdir)," \
+               -e "s,\$(DATADIR)/doc,\$(SHAREDIR)/doc/${PF}," \
+               -i defaults.make || die
+
+       # remove HTML documentation if the user doesn't USE=doc
+       if ! use "doc"
+       then
+               rm -rf manual-html || die
+       fi
+}
+
+src_compile() {
+       OPTIONS="-j1 PLATFORM=linux PREFIX=/usr"
+
+       emake ${OPTIONS} C_COMPILER_OPTIMIZATION_OPTIONS="${CFLAGS}" \
+               LINKER_OPTIONS="${LDFLAGS}" \
+               HOSTSYSTEM="${CBUILD}"
+}
+
+# chicken's testsuite is not runnable before install
+# upstream has been notified of the issue
+RESTRICT=test
+
+src_install() {
+       # still can't run make in parallel for the install target
+       emake -j1 ${OPTIONS} DESTDIR="${D}" HOSTSYSTEM="${CBUILD}" \
+               LINKER_OPTIONS="${LDFLAGS}" install
+
+       dodoc ${DOCS}
+
+       if use "doc"
+       then
+               dodoc -r manual-html
+       fi
+
+}

Reply via email to